summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog4
-rw-r--r--UPGRADING8
-rw-r--r--configure.in3
3 files changed, 14 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index ea454f5e..30421b72 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -3,6 +3,10 @@
- NeXT keeps it lastlog in /usr/adm. Report from
mouring@newton.pconline.com
+ - Added note in UPGRADING re interop with commercial SSH using idea.
+ Report from Jim Knoble <jmknoble@pobox.com>
+ - Fix linking order for Kerberos/AFS. Fix from Holget Trapp
+ <Holger.Trapp@Informatik.TU-Chemnitz.DE>
20000125
- Fix NULL pointer dereference in login.c. Fix from Andre Lucas
diff --git a/UPGRADING b/UPGRADING
index 54f5ca66..5c6715ce 100644
--- a/UPGRADING
+++ b/UPGRADING
@@ -96,3 +96,11 @@ with the --with-ipv4-default configure option. This instructs OpenSSH to
use IPv4-only address resolution. (IPv6 lookups may still be made by
specifying the -6 option).
+10. Logins from commercial ssh generate the error "Selected cipher type
+ idea not supported by server"
+
+This error is generated when a commercial ssh which has been configured to
+use the 'idea' cipher attempts to connect to an OpenSSH server. To rectify
+this, select a different cipher in ssh_config or ~/.ssh/config (3des for
+security or blowfish for speed).
+
diff --git a/configure.in b/configure.in
index 6423b62e..2ff4aba5 100644
--- a/configure.in
+++ b/configure.in
@@ -630,7 +630,7 @@ AC_ARG_WITH(kerberos4,
AC_MSG_WARN([Cannot find libkrb, build may fail])
fi
- LIBS="$LIBS -lkrb -ldes"
+ KLIBS="-lkrb -ldes"
AC_CHECK_LIB(resolv, dn_expand, , )
KRB4=yes
AC_DEFINE(KRB4)
@@ -661,6 +661,7 @@ AC_ARG_WITH(afs,
fi
]
)
+LIBS="$LIBS $KLIBS"
dnl Check whether user wants S/Key support
AC_ARG_WITH(skey,